Subject: Re: Ghostscript packaging for X11, non-X11 versions
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 7 Jul 2002 13:07:57 -0400

Someday, I'm sure that I'll understand why people insist on redirecting
cygwin-apps discussions to cygwin.

Anyway, I'm redirecting this back to the correct mailing list.

cgf

On Sun, Jul 07, 2002 at 09:31:30AM -0700, Dario Alcocer wrote:
>On Sun, Jul 07, 2002 at 06:08:46AM +0100, John Morrison wrote:
>> > As a maintainer, I'd rather provide the user with the complete package.
>> > If the original software includes documentation, then in my opinion
>> > the package I produce won't be complete unless I include the original
>> > documentation.
>> 
>> My only point is that you aren't producing *one* package.  If you were
>> coding two classes you _would_ factor out common code into a seperate
>> base class/included/hidden/internal/.../common entity.
>
>Yes, good point.
>
>> > In my opinion, distributing software without documentation is like
>> > selling hardware without manuals.  Sure, you can *still* use it, but
>> > it's really a pain to download the documentation if you'd like explore
>> > additional features or configurations.
>> 
>> I object to the fact that you think I suggested that you dont 
>> distribute the documentation - I *NEVER* suggested that you don't.
>
>Yes, you're quite right, my mistake.  You did say put the documentation
>in a separate package, not leave it out.
>
>> Sometimes it's nice to be able to download the documentation without
>> having to install the software then you can check it does x, y, z
>> without having to clutter your harddrive.
>
>That may be so, but what's more likely is that a casual new user will
>only install the minimum required, and then ask simple questions that
>would be answered by 5 minutes of reading the documentation.  I say this
>because this scenario plays itself out constantly on this list :-)
>Making the documentation not "optional" hopefully will prod them into
>reading before demanding answers on the list ;-)
>
>> At the end of the day - it was just a suggestion to *help* you
>> factor out commonality.  Sorry you disliked it so.
>
>That's OK, no need to say sorry, I really didn't dislike the suggestion
>at all, I was just trying to explain my rationale.  I think I've got a
>few more years before I become another BOFH :-) ...
>
>Thanks for the input.
>
>-- 
>Dario Alcocer -- Sr. Software Developer, Helix Digital Inc.
>[email-masked] -- http://www.helixdigital.com
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Bug reporting:         http://cygwin.com/bugs.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/